Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 17 Aug 2022 12:42:24 +0200

Eli Zaretskii <[email-masked]> writes:

>> 1) In an HTML buffer with huge <img src="base64:data...."> JPEGs hidden
>> under display properties (we're talking multi-megabyte lines -- but
>> hidden), I've seen some odd point movements around these images -- like
>> the cursor gets stuck at the edges of that line.  But only sometimes.
>
> Can you show an example of such a file, or tell where can one download
> it?

Sorry, no -- like I said, I can't reproduce it reliably.

>> 2) My *Messages* buffer frequently ends up being narrowed, and that
>> didn't happen before.  Is that something that can happen somehow?
>
> If it does, it could be that we don't undo the narrowing in some
> situations?

It sounds like it, but is that even possible?  This could be something
totally unrelated.